/************************************
 
   Common Definitions header

   Contains definitions used by both
   Neko95 and NekoCFG applications

 *************************************/

#ifndef _NEKOCOMMON_H
#define _NEKOCOMMON_H

//class & window names
#define szNekoClassName   "Neko95Class"
#define szNekoWindowTitle "Neko95"

//registry key for Neko's settings
#define szNekoRegKey      "Software\\DHSoft\\Neko95"

//sub-key names
#define szNekoSpeedKey          "Speed"
#define szNekoSenseKey          "Sensitivity"
#define szNekoTaskbarKey        "Taskbar Icon"
#define szNekoLibraryKey        "Library"
#define szNekoIndependenceKey   "Independence"
#define szNekoChaseRandomKey    "Random Chase"
#define szNekoChaseItemKey      "Chase Item"


//message sent from NekoCFG to Neko to signal settings have changed
#define MY_UPDATENEKO (WM_USER+33)


//independence values
#define NUM_CHASE_ITEMS 2

#define CHASE_MOUSE 0
#define FEAR_MOUSE  1

#define CHASE_MOUSE_TEXT "Towards mouse"
#define FEAR_MOUSE_TEXT  "Away from mouse"

#endif
