/************************************
 
   Desktop Class: Tiny class to provide
   information about the desktop window

 *************************************/

#include <windows.h>
#include "desktop.h"


HWND g_hwndDesktop = NULL;


BOOL CALLBACK DesktopHunter( HWND hwnd, LPARAM lParam )
{
    char buffer[14];

    switch( lParam )
    {
        case ENUM_PARENTWINDOWS:
            GetClassName( hwnd, buffer, 13 );
            if( lstrcmpi( buffer,"Progman" ) == 0 ) 
                EnumChildWindows( hwnd, DesktopHunter, ENUM_CHILDWINDOWS );
            break;

        case ENUM_CHILDWINDOWS:
            GetClassName( hwnd, buffer, 13 );
            if( lstrcmpi( buffer,"SysListView32" ) == 0 )
                if( ( GetWindowLong( hwnd, GWL_STYLE )&0x00002A40) == 0x00002A40 )
                {
                    g_hwndDesktop = hwnd;
                    return FALSE; //finished enumerating, exit
                }
            break;
    }

    return TRUE;
}

/*****************************************************/
void CalcDesktopHandle()
{
    void * test = (void*)DesktopHunter;
    EnumWindows( DesktopHunter, ENUM_PARENTWINDOWS );
}

HWND GetDesktopHandle()
{
    if( g_hwndDesktop )
        return g_hwndDesktop;
    else
        return GetDesktopWindow(); //must be on NT3/Win32s
}
