/************************************
 
   Desktop Finder: Tiny file to provide
   information about the desktop window

 *************************************/

#include <windows.h>
#include "desktop.h"


HWND g_hwndDesktop = (HWND)-1;


BOOL CALLBACK DesktopHunter( HWND hwnd, LPARAM lParam )
{
    char buffer[128];

    switch(lParam)
    {
        case 1: {
            GetClassName( hwnd, buffer, 127 );
            if( stricmp( buffer, "Progman" ) == 0 )
            {
                EnumChildWindows(hwnd, (WNDENUMPROC)DesktopHunter, 2);
            }
            break;
        }
        case 2: {
            GetClassName(hwnd, buffer, 127);
            if( stricmp( buffer, "SysListView32" ) == 0 )
            {
                if((GetWindowLong(hwnd, GWL_STYLE)&0x00002A40)==0x00002A40)
                {
                    g_hwndDesktop = hwnd;
                }
            }
        }
    }
    return TRUE;
}

/*****************************************************/
void CalcDesktopHandle()
{
    EnumWindows( (WNDENUMPROC)DesktopHunter, 1 );
}

HWND GetDesktopHandle()
{
    if( g_hwndDesktop == (HWND)-1 ) CalcDesktopHandle();
    
    if( g_hwndDesktop )
        return g_hwndDesktop;
    else
        return GetDesktopWindow(); //must be on NT3/Win32s
}
